- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends

# QSslKey Class Reference

Search for all occurrences

## Detailed Description

Definition at line 64 of file qsslkey.h.

`#include <qsslkey.h>`

List of all members.

## Public Member Functions
| QSslKey ()
| QSslKey (const QByteArray &encoded, QSsl::KeyAlgorithm algorithm, QSsl::EncodingFormat format=QSsl::Pem, QSsl::KeyType type=QSsl::PrivateKey, const QByteArray &passPhrase=QByteArray())
| QSslKey (QIODevice *device, QSsl::KeyAlgorithm algorithm, QSsl::EncodingFormat format=QSsl::Pem, QSsl::KeyType type=QSsl::PrivateKey, const QByteArray &passPhrase=QByteArray())
| QSslKey (const QSslKey &other)
| ~QSslKey ()
QSslKey & | operator= (const QSslKey &other)
bool | isNull () const
void | clear ()
int | length () const
QSsl::KeyType | type () const
QSsl::KeyAlgorithm | algorithm () const
QByteArray | toPem (const QByteArray &passPhrase=QByteArray()) const
QByteArray | toDer (const QByteArray &passPhrase=QByteArray()) const
Qt::HANDLE | handle () const
bool | operator== (const QSslKey &key) const
bool | operator!= (const QSslKey &key) const
## Friends
class | QSslCertificate

## Constructor & Destructor Documentation

QSslKey | ( |  | ) |

QSslKey | ( | const QByteArray & | encoded,
|  | QSsl::KeyAlgorithm | algorithm,
|  | QSsl::EncodingFormat | format = `QSsl::Pem`,
|  | QSsl::KeyType | type = `QSsl::PrivateKey`,
|  | const QByteArray & | passPhrase = `QByteArray()`
| ) |  |

QSslKey | ( | QIODevice * | device,
|  | QSsl::KeyAlgorithm | algorithm,
|  | QSsl::EncodingFormat | format = `QSsl::Pem`,
|  | QSsl::KeyType | type = `QSsl::PrivateKey`,
|  | const QByteArray & | passPhrase = `QByteArray()`
| ) |  |

QSslKey | ( | const QSslKey & | other | ) |

~QSslKey | ( |  | ) |

## Member Function Documentation

QSslKey& operator= | ( | const QSslKey & | other | ) |

bool isNull | ( |  | ) | const

Search for all occurrences

void clear | ( |  | ) |

Search for all occurrences

int length | ( |  | ) | const

Search for all occurrences

QSsl::KeyType type | ( |  | ) | const

Search for all occurrences

QSsl::KeyAlgorithm algorithm | ( |  | ) | const

Search for all occurrences

QByteArray toPem | ( | const QByteArray & | passPhrase = `QByteArray()` | ) | const

Search for all occurrences

QByteArray toDer | ( | const QByteArray & | passPhrase = `QByteArray()` | ) | const

Search for all occurrences

Qt::HANDLE handle | ( |  | ) | const

Search for all occurrences

bool operator== | ( | const QSslKey & | key | ) | const

bool operator!= | ( | const QSslKey & | key | ) | const `[inline]`

Definition at line 93 of file qsslkey.h.

    { return !operator==(key); }

## Friends And Related Function Documentation

friend class QSslCertificate `[friend]`

Search for all occurrences

Definition at line 97 of file qsslkey.h.

The documentation for this class was generated from the following file:

- QtNetwork/qsslkey.h

QSslKey QSslKey QSslKey QSslKey QSslKey QSslKey QSslKey QSslKey QSslKey QSslKey
QSslKey QSslKey QSslKey QSslKey QSslKey QSslKey QSslKey QSslKey QSslKey QSslKey